<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."plan_lekcji/locale/".$settings['locale'].".php")) {
	include INFUSIONS."plan_lekcji/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."plan_lekcji/locale/English.php";}

// Infusion general information
$inf_title = "Plan lekcji";
$inf_description = "Plan Lekcji";
$inf_version = "1.3";
$inf_developer = "zjawek&bodzio";
$inf_email = "";
$inf_weburl = "http://www.zsprus.czest.pl";

$inf_folder = "plan_lekcji"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "plan.php"; // The admin panel filename if required.

$inf_link_name = "Plan lekcji"; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "plan_odczyt.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.


$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.


$inf_newtable_[1] = "plan_wynik (
  id int(8) NOT NULL auto_increment,
  id_nauczyciel1 int(8) NOT NULL default '0',
  id_nauczyciel2 int(8) NOT NULL default '0',
  sala1 varchar(11) NULL default NULL,
  sala2 varchar(11) NULL default NULL,
  godzina int(8)  NOT NULL default '0',
  id_klasa int(8)  NOT NULL default '0',
  dzien_tygodnia int(8)  NOT NULL default '0',
  PRIMARY KEY (id)
) TYPE=MyISAM;";


$inf_newtable_[2] = "nauczyciel (
  id int(8) NOT NULL auto_increment,
  nazwisko varchar(50) NOT NULL default '',
  przedmiot varchar(40) NULL default NULL,
  email varchar(40) NULL default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;";


$inf_newtable_[3] = "klasa (
  id int(8) NOT NULL auto_increment,
  klasa varchar(10) NOT NULL default '',
  kierunek varchar(40) NOT NULL default '',
  id_wychowawca int(8) NULL default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "a2 (nazwisko, przedmiot, email) values ('------', NULL, NULL)";

$inf_droptable_[1] = "plan_wynik";
$inf_droptable_[2] = "nauczyciel";
$inf_droptable_[3] = "klasa";

?>
